## deltify 0.2.1-extras12.04.1

=== debian/changelog ===
deltify (0.2.1-extras12.04.1) precise; urgency=low

  * New release.

 -- Pete Burgers <sneakypete81@gmail.com>  Thu, 26 Jul 2012 21:39:00 -0400
