=== debian/control ===
Source: deltify
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10),
 libglib2.0-bin
Maintainer: Pete Burgers <deltify81@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: deltify
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 gir1.2-unity-5.0,
 gir1.2-webkit-3.0,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: Scans your browser's bookmarks for updates
 Any website changes are highlighted in yellow, making it easy to see what's
 new.
