=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/deltify                 --install-data=/opt/extras.ubuntu.com/deltify                 --install-lib=/opt/extras.ubuntu.com/deltify

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/deltify


override_dh_install:
	dh_install
	mkdir -p debian/deltify/opt/extras.ubuntu.com/deltify/bin
	if [ -x debian/deltify/opt/extras.ubuntu.com/deltify/deltify/deltify ]; then mv debian/deltify/opt/extras.ubuntu.com/deltify/deltify/deltify debian/deltify/opt/extras.ubuntu.com/deltify/bin; fi
	if [ -f debian/deltify/opt/extras.ubuntu.com/deltify/share/applications/deltify.desktop ]; then \
		mkdir -p debian/deltify/usr/share/applications; \
		mv debian/deltify/opt/extras.ubuntu.com/deltify/share/applications/deltify.desktop debian/deltify/usr/share/applications/extras-deltify.desktop; \
		rmdir --ignore-fail-on-non-empty debian/deltify/opt/extras.ubuntu.com/deltify/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/deltify/bin/deltify|' debian/deltify/usr/share/applications/extras-deltify.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/deltify/|' debian/deltify/usr/share/applications/extras-deltify.desktop; \
	fi
	grep -RlZ 'import gettext' debian/deltify/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/deltify/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('deltify')" debian/deltify/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('deltify')\)|locale\.bindtextdomain('deltify', '/opt/extras.ubuntu.com/deltify/share/locale')\nlocale\1|" 
	sed -i "s|__deltify_data_directory__ =.*|__deltify_data_directory__ = '/opt/extras.ubuntu.com/deltify/share/deltify/'|" debian/deltify/opt/extras.ubuntu.com/deltify/deltify*/deltifyconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/deltify/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/deltify/opt/extras.ubuntu.com/deltify/bin/deltify
	if [ -d debian/deltify/opt/extras.ubuntu.com/deltify/share/glib-2.0/schemas ]; then glib-compile-schemas debian/deltify/opt/extras.ubuntu.com/deltify/share/glib-2.0/schemas; fi
